package onexbet

import "strings"

var (
	bannedHandballChamps = []string{
		"Alternative Matches",
		"Element League",
		"Niko Cup",
		"Avalanche Сup",
	}

	bannedHandballPrefixes = []string{
		"PRO League",
	}
)

func HandballChampFilter(champName string) (_ bool) {
	for _, bannedChampName := range bannedHandballChamps {
		if strings.Contains(champName, bannedChampName) {
			return
		}
	}

	for _, bannedPrefix := range bannedHandballPrefixes {
		if strings.HasPrefix(champName, bannedPrefix) {
			return
		}
	}

	return true
}
